'use strict';

const { buildIR } = require('./ir-builder');
const { validateSchema } = require('./validator/schema-validator');

function defineModel(tableName, options) {
  const ir = buildIR(tableName, options);
  validateSchema(ir);
  return ir;
}

module.exports = { defineModel };
